<div class="tower tower-level<?php echo $level; ?>">
  <div class="tower-background tower_scene_sky"></div>
  <div class="tower-background tower_scene_clouds"></div>
  <div class="tower-background tower_scene_bg"></div>
  
  <div class="tower-row">
    <div class="tower-row-item tower-row-item-left">
      <div class="tower-modal <?php echo (!empty($TOWER_NOTIFICATION) ? 'tower-modal-open' : ''); ?>" id="towerModal" data-this="">
        <div class="tower-modal-content <?php echo (!empty($TOWER_NOTIFICATION_CLASS) ? $TOWER_NOTIFICATION_CLASS : ''); ?>" id="notification"<?php echo (!empty($TOWER_NOTIFICATION) ? ' style="display: block;"' : ''); ?>>
          <?php echo (!empty($TOWER_NOTIFICATION) ? $TOWER_NOTIFICATION : ''); ?>
        </div>
        <div class="tower-modal-content towerBomb" id="towerBomb">
          <?php if ($userTower['bomb'] == 0) { ?>
            <div class="tower-modal-title" style="font-weight: normal;">У тебя нет бомб!</div>
          <?php } ?>
          <div class="tower-modal-title" style="font-weight: normal; padding: 10px;">Бомбы нужны, чтобы рушить чужие башни и добывать призы.</div>
          <div class="tower-box"><img src="components/img/bomb.png" /><span class="<?php echo ($userTower['bomb'] == 0 ? 'bg-gray' : ''); ?>"><?php echo $userTower['bomb']; ?></span></div>
          <?php if ($user['id'] == $uid) { ?>
            <a class="tower-link bg-red" href="?act=search">Искать башни</a>
          <?php } ?>
          <?php if ($user['id'] != $uid && $userTower['bomb'] > 0 && $userTower['height'] >= 10) { ?>
            <a class="tower-link <?php echo ($tower['height'] < 10 ? 'bg-gray' : 'bg-green'); ?>" href="?act=fire&amp;uid=<?php echo $uid; ?>">Сделать выстрел</a>
          <?php } elseif ($user['id'] != $uid && $userTower['height'] < 10) { ?>
            <div class="tower-modal-title" style="font-weight: normal; padding: 10px;">Твоя башня менее 10 метров, ты не можешь рушить чужие башни.</div>
          <?php } ?>
          <div class="tower-modal-title" style="font-weight: normal; padding: 10px;">Получить бомбы можно в Ящике строителя.</div>
        </div>
        <div class="tower-modal-content towerPay" id="towerPay">
          С вашего счета, будет списано <?php echo des2num($TOWER_PRICE, $TOWER_COINS_NAME); ?> Вы уверены?
          
          <div class="tower-modal-button">
            <a href="?act=box">Да</a>
            <a onclick="towerModalClose()">Нет</a>
          </div>
        </div>
        <div class="tower-modal-content towerInfo" id="towerInfo">
          <div>
            Вы строите Башню и получаете за неё очки <?php echo $TOWER_USER_RATING_NAME; ?>. 
            Высота Башни не ограничена. 
            Чем выше Башня, тем больше дополнительных очков <?php echo $TOWER_USER_RATING_NAME; ?> вы получите.
          </div>
          <div>
            Каждые <?php echo getTowerShieldTime($TOWER_FREE_TIME); ?> все пользователи могут открыть Ящик строителя и бесплатно получить 3 случайных камня для строительства. 
            Если вы не хотите ждать <?php echo getTowerShieldTime($TOWER_FREE_TIME); ?>, Ящик строителя можно открыть платно. 
            Всего у Башни 16 типов камней, они имеют разную форму и укладываются только на подходящие по форме камни. 
          </div>
          <div>
            С помощью бомб можно рушить чужие Башни (полностью или частично) и получать за это призы. 
            Бомбить можно башни, достигшие высоты 10 метров. 
            В случае разрушения вашей Башни, вы потеряете очки <?php echo $TOWER_USER_RATING_NAME; ?> за разрушенный участок. 
            Ваш основной рейтинг, полученный не из Башни, при этом не пострадает.
          </div>
          <div>
            Как защитить башню: 100% защита держится <?php echo getTowerShieldTime($TOWER_TIME_SHIED_FULL); ?>, 
            затем начинает падать каждые <?php echo getTowerShieldTime($TOWER_TIME_SHIED); ?> на 10%, пока не достигнет нуля. 
            В этот период башня может подвергнуться нападению и может быть повреждена. 
            Вы можете восстановить 100% защиту на <?php echo getTowerShieldTime($TOWER_TIME_SHIED_FULL); ?>, положив 1 камень на башню. 
            Пока башня под 100% защитой, вновь положенные камни повышают ваш рейтинг, 
            но не продлевают время защиты. 
          </div>
          <div>
            Если Башня всё же повреждена, она будет находиться под 100% защитой <?php echo getTowerShieldTime($TOWER_TIME_SHIED_FULL); ?>, 
            затем защита начнёт падать. 
            У вас будет возможность восстановить разрушенный участок башни и 
            очки <?php echo $TOWER_USER_RATING_NAME; ?> за дополнительную плату.
          </div>
        </div>
        <div class="tower-modal-content towerLosBack" id="towerLosBack">
          С вашего счета, будет списано <?php echo des2num($_TOWER_HEIGHT_COST[array_search($tower['los'], $_TOWER_HEIGHT_LOSE)], $TOWER_COINS_NAME); ?> Вы уверены?
          
          <div class="tower-modal-button">
            <a href="?act=los">Да</a>
            <a onclick="towerModalClose()">Нет</a>
          </div>
        </div>
        <div class="tower-modal-content towerNoMoney" id="towerNoMoney">
          У вас не хватает денег. На вашем счету <?php echo des2num($user[$TOWER_PRICE_TABLE], $TOWER_COINS_NAME); ?>
          <div class="tower-modal-button">
            <a href="<?php echo $TOWER_URL_BILLING; ?>">Пополнить счет</a>
          </div>
        </div>
        
        <?php 
        foreach($TOWER_GIFT AS $key => $value) { 
            echo '<div class="tower-modal-content towerGift" id="GFT' . $key . '"><img src="' . $value['img_big'] . '"><div>' . $value['name'] . '</div></div>'; 
        } 
        ?>
        
        <div class="tower-modal-content towerBlocks" id="towerBlocks">
          <?php 
          $blocks = getTowerBlocks($uid, $tower['color']); 
          
          if (!empty($blocks)) {
              echo '<div class="tower-modal-title">Подходящие камни</div>';
              if (!empty($blocks['there'])) {
                  foreach($blocks['there'] AS $key => $value) {
                      echo '<a href="?act=build&key=' . $key . '"><img src="components/img/blocks/' . $key . '.png" /><span>' . $value . '</span></a>';
                  }
              }
              
              else {
                  echo '<div class="tower-modal-title" style="font-weight: normal; padding: 10px;">Камней, подходящих для продолжения строительства, нет.</div>';
              }
              
              if (!empty($blocks['other'])) {
                  echo '<div class="tower-modal-title">Остальные камни</div>';
                  foreach($blocks['other'] AS $key => $value) {
                      echo '<div><img src="components/img/blocks/' . $key . '.png" /><span>' . $value . '</span></div>';
                  }              
              }              
          }
          
          else {
              echo '<div class="tower-modal-title" style="font-weight: normal; padding: 10px;">У тебя нет ни одного камня. Получить камни можно в Ящике строителя или в подарок от других пользователей.<br /><img src="components/img/chest@2x.png" /></div>';
          }
          ?>
        </div>
        <div class="tower-modal-close">
          <a onclick="towerModalClose()">Закрыть</a>
        </div>
      </div>
      
      <div class="tower-top tower-top-<?php echo $top; ?>">
        <img src="components/img/top_<?php echo $top; ?>@2x.png" />
        <div class="tower-top-info">
          <?php echo $tower['height']; ?>M
          <?php echo ($tower['step'] > 0 ? '<span class="tower-fraction tower-fraction-' . $tower['step'] . '"></span>' : ''); ?>
          <div class="tower-top-star-<?php echo $level; ?>"><?php echo star2galaxy($tower['height'] * 5); ?></div>
        </div>
      </div>
      
      <div class="tower-action tower-action-<?php echo $topAction; ?>">
        <div class="tower-bg-opacity"></div>
        
        <div>
        <?php if ($user['id'] == $uid) { ?>
          <a class="tower-link <?php echo (empty($blocks['there']) ? 'bg-gray' : 'bg-green'); ?>" onclick="towerModalOpen('towerBlocks', '1')">Строить</a>
          <?php if ($tower['los']) { ?>   
          <a class="tower-link bg-white" onclick="towerModalOpen('<?php echo ($user[$TOWER_PRICE_TABLE] >= $_TOWER_HEIGHT_COST[array_search($tower['los'], $_TOWER_HEIGHT_LOSE)] ? 'towerLosBack' : 'towerNoMoney'); ?>', '1')">Восстановить<br /><?php echo $tower['los']; ?>м / <?php echo des2num($_TOWER_HEIGHT_COST[array_search($tower['los'], $_TOWER_HEIGHT_LOSE)], $TOWER_COINS_NAME); ?></a>
          <?php } ?>
        <?php } else { ?>
          <a class="tower-link <?php echo (!$userTower['bomb'] || $tower['height'] < 10 || $userTower['height'] < 10 ? 'bg-gray' : 'bg-green'); ?>" onclick="towerModalOpen('towerBomb', '1')">Бомбить</a>
        <?php } ?>
        </div>
        
        <?php if ($tower['height'] >= 10) { ?>
          <div class="tower-shield">
            Защита - <?php echo $tower['heart']; ?>%<br />
            <?php if ($shield > 0) { ?>
              Еще <?php echo getTowerShieldTime($shield); ?>
            <?php } ?>
          </div>
        <?php } ?>
      </div>
      
      <div class="tower-z tower-z-<?php echo $height_end; ?>">
        <img src="components/img/tower_<?php echo $tower['color']; ?>_1@2x.png" />
      </div>
    </div><div class="tower-row-item tower-row-item-right">
    <?php if ($user['id'] == $uid) { ?>
      <a class="tower-btn tower-btn-blocks" onclick="towerModalOpen('towerBlocks', '1')"><img src="components/img/blocks_button@2x.png" /><span class="tower-btn-title">Камни</span><?php echo (!empty($count['blocks']) ? '<span class="tower-btn-count">' . $count['blocks'] . '</span>' : ''); ?></a>
    <?php } ?>
    
      <a class="tower-btn tower-btn-blocks" onclick="towerModalOpen('towerBomb', '1')"><img src="components/img/bombs_button@2x.png" /><span class="tower-btn-title">Бомбы</span><?php echo (!empty($userTower['bomb']) ? '<span class="tower-btn-count">' . $userTower['bomb'] . '</span>' : ''); ?></a>
      
    <?php if ($user['id'] == $uid) { ?>  
      <a class="tower-btn tower-btn-blocks" <?php echo (!$box_is ? 'onclick="towerModalOpen(\'' . ($user[$TOWER_PRICE_TABLE] >= $TOWER_PRICE ? 'towerPay' : 'towerNoMoney') . '\')"' : 'href="?act=box"'); ?>><img src="components/img/chest_<?php echo ($box_is ? 2 : 1); ?>_button@2x.png" />
      <span class="tower-btn-title">
      <?php if (!$box_is) { ?>
        <i>БЕСПЛАТНО<br /><?php echo getTowerFreeTime($tower['lastfreebox']); ?></i>
      <?php } ?>
      Открыть<?php if (!$box_is) { ?><br /><?php echo des2num($TOWER_PRICE, $TOWER_COINS_NAME); } ?></span></a>
      
      <a class="tower-btn tower-btn-blocks" href="?act=rating"><img src="components/img/ratings_button@2x.png" /><span class="tower-btn-title">Лучшие</span></a>
      
    <?php } else { ?>
      
      <a class="tower-btn tower-btn-blocks" href="?act=search"><img src="components/img/search_tower_button@2x.png" /><span class="tower-btn-title">Искать<br />башни</span></a>
      
      <?php if ($uid != $user['id']) { ?>
        <div class="tower-gift">
        <div class="tower-gift-title">
          ПРИЗЫ<br />ЗА<br />РАЗРУШЕНИЕ
        </div>
        <?php 
        foreach($TOWER_GIFT AS $key => $value) { 
            echo '<div><a onclick="towerModalOpen(\'GFT' . $key . '\')"><img src="' . $value['img'] . '" /></a></div>'; 
        } 
        ?>
        </div>
      <?php } ?>
      <a class="tower-btn tower-btn-blocks" href="?"><img src="components/img/my_tower_button@2x.png" /><span class="tower-btn-title">Моя башня</span></a>
    <?php } ?>
    
    <a style="margin-top: 30px;" class="tower-btn tower-btn-blocks" onclick="towerModalOpen('towerInfo')"><img style="width: 50px;" src="components/img/help_button@2x.png" /></a>
    </div>
  </div>
  <div class="tower-background tower_scene_front"></div>
</div>
<script>
function towerModalOpen(uid, close) {
    $('#towerModal').addClass('tower-modal-open'); 
    if (uid) {
        $('#towerModal').attr('data-this', uid);
        $('.tower-modal-content').css('display', 'none');
        $('#' + uid).css('display', 'block');
    }
}
function towerModalClose() {
    $('#towerModal').removeClass('tower-modal-open'); 
}
</script>